> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Node

> Get a single node by ID

## Request

```bash theme={null}
GET https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId}
```

### Path Parameters

<ParamField path="projectId" type="string" required>The project ID</ParamField>
<ParamField path="nodeId" type="string" required>The node ID</ParamField>

### Headers

<ParamField header="Authorization" type="string" required>
  Bearer token using your developer key
</ParamField>

## Response

Returns the node object, or `404` if not found.

### Example

```bash theme={null}
curl https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId} \
  -H "Authorization: Bearer dk_your_key"
```

```json theme={null}
{
  "data": {
    "id": "node-booking",
    "position": { "x": 200, "y": 300 },
    "data": {
      "type": "prompt",
      "title": "Booking",
      "prompt": "Help the user complete their booking.",
      "tools": ["tool-uuid-1"]
    }
  }
}
```
